remap_vmalloc_range
Prev | More Memory Management Functions | Next

## Name

remap_vmalloc_range — map vmalloc pages to userspace

## Synopsis

`int remap_vmalloc_range (` | struct vm_area_struct * | vma,
| void * | addr,
| unsigned long | pgoff`)`;

## Arguments

`vma`

  vma to cover (map full range of vma)

`addr`

  vmalloc memory

`pgoff`

  number of pages into addr before first page to map

## Description

This function checks that addr is a valid vmalloc'ed area, and that it is big enough to cover the vma. Will return failure if that criteria isn't met.

Similar to `remap_pfn_range` (see mm/memory.c)

Prev | Up | Next
vmalloc_32_user | Home | alloc_vm_area